OS390Linker (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.os390.OS390Linker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.os390
Class OS390Linker

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractLinker
              net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
                  net.sf.antcontrib.cpptasks.os390.OS390Linker

All Implemented Interfaces:
  java.lang.Cloneable, Linker, Processor

    public final class OS390Linker

extends CommandLineLinker

Adapter for the IBM (R) OS/390 (tm) Linker

Author:
  Hiram Chirino (cojonudo14@hotmail.com)

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`protected void` | `addBase(long base, java.util.Vector args)`
`protected void` | `addEntry(java.lang.String entry, java.util.Vector args)`
`protected void` | `addFixed(java.lang.Boolean fixed, java.util.Vector args)`
`protected void` | `addImpliedArgs(boolean debug, LinkType linkType, java.util.Vector args)`
`protected void` | `addIncremental(boolean incremental, java.util.Vector args)`
`protected java.lang.String[]` | `addLibrarySets(CCTask task, LibrarySet[] libsets, java.util.Vector preargs, java.util.Vector midargs, java.util.Vector endargs)`
`protected void` | `addMap(boolean map, java.util.Vector args)`
`protected void` | `addStack(int stack, java.util.Vector args)`
`java.lang.String` | `getCommandFileSwitch(java.lang.String commandFile)`
`static OS390Linker` | `getDataSetInstance()`
`static OS390Linker` | `getInstance()`
`java.io.File[]` | `getLibraryPath()` returns the library path for the linker
`java.lang.String[]` | `getLibraryPatterns(java.lang.String[] libnames, LibraryTypeEnum libType)` Returns a set of filename patterns corresponding to library names.
`Linker` | `getLinker(LinkType linkType)` Gets the linker for the specified link type.
`int` | `getMaximumCommandLength()`
`java.lang.String[]` | `getOutputFileNames(java.lang.String baseName, VersionInfo versionInfo)` Output file name (no path components) corresponding to source file
`protected java.lang.String[]` | `getOutputFileSwitch(CCTask task, java.lang.String outputFile)`
`java.lang.String[]` | `getOutputFileSwitch(java.lang.String outputFile)`
`boolean` | `isCaseSensitive()` Returns true if the linker is case-sensitive
`void` | `link(CCTask task, java.io.File outputFile, java.lang.String[] sourceFiles, CommandLineLinkerConfiguration config)` Performs a link using a command line linker
`protected int` | `runCommand(CCTask task, java.io.File workingDir, java.lang.String[] cmdline)` This method is exposed so test classes can overload and test the arguments without actually spawning the compiler

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
`createConfiguration, decorateLinkerOption, getCommand, getIdentifier, getLibtoolLinker, getStartupObject, prepareArguments, prepareFilename, prepareResponseFile, quoteFilename, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractLinker
`addVersionFiles, bid, changeEnvironment, createConfiguration, getLibraryKey`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDataSetInstance

    public static OS390Linker getDataSetInstance()

### getInstance

    public static OS390Linker getInstance()

### addBase

    protected void addBase(long base,
                           java.util.Vector args)

  Specified by:
    `addBase` in class `CommandLineLinker`

### addFixed

    protected void addFixed(java.lang.Boolean fixed,
                            java.util.Vector args)

  Specified by:
    `addFixed` in class `CommandLineLinker`

### addImpliedArgs

    protected void addImpliedArgs(boolean debug,
                                  LinkType linkType,
                                  java.util.Vector args)

  Specified by:
    `addImpliedArgs` in class `CommandLineLinker`

### addIncremental

    protected void addIncremental(boolean incremental,
                                  java.util.Vector args)

  Specified by:
    `addIncremental` in class `CommandLineLinker`

### addLibrarySets

    protected java.lang.String[] addLibrarySets(CCTask task,
                                                LibrarySet[] libsets,
                                                java.util.Vector preargs,
                                                java.util.Vector midargs,
                                                java.util.Vector endargs)

  Overrides:
    `addLibrarySets` in class `CommandLineLinker`

### addMap

    protected void addMap(boolean map,
                          java.util.Vector args)

  Specified by:
    `addMap` in class `CommandLineLinker`

### addStack

    protected void addStack(int stack,
                            java.util.Vector args)

  Specified by:
    `addStack` in class `CommandLineLinker`

### addEntry

    protected void addEntry(java.lang.String entry,
                            java.util.Vector args)

  Specified by:
    `addEntry` in class `CommandLineLinker`

### getCommandFileSwitch

    public java.lang.String getCommandFileSwitch(java.lang.String commandFile)

  Specified by:
    `getCommandFileSwitch` in class `CommandLineLinker`

### getLibraryPath

    public java.io.File[] getLibraryPath()

  Description copied from interface: `Linker`
  returns the library path for the linker

### getLibraryPatterns

    public java.lang.String[] getLibraryPatterns(java.lang.String[] libnames,
                                                 LibraryTypeEnum libType)

  Description copied from interface: `Linker`
  Returns a set of filename patterns corresponding to library names. For example, "advapi32" would be expanded to "advapi32.dll" by DevStudioLinker and to "libadvapi32.a" and "libadvapi32.so" by GccLinker.

  Parameters:
    `libnames` - array of library names

### getLinker

    public Linker getLinker(LinkType linkType)

  Description copied from interface: `Linker`
  Gets the linker for the specified link type.

  Returns:
    appropriate linker or null, will return this if this linker can handle the specified link type

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Specified by:
    `getMaximumCommandLength` in class `CommandLineLinker`

### getOutputFileNames

    public java.lang.String[] getOutputFileNames(java.lang.String baseName,
                                                 VersionInfo versionInfo)

  Description copied from interface: `Processor`
  Output file name (no path components) corresponding to source file

  Specified by:
    `getOutputFileNames` in interface `Processor`
  Overrides:
    `getOutputFileNames` in class `CommandLineLinker`
  Parameters:
    `baseName` - input file
  Returns:
    output file name or null if no output file or name not determined by input file

### getOutputFileSwitch

    protected java.lang.String[] getOutputFileSwitch(CCTask task,
                                                     java.lang.String outputFile)

  Overrides:
    `getOutputFileSwitch` in class `CommandLineLinker`

### getOutputFileSwitch

    public java.lang.String[] getOutputFileSwitch(java.lang.String outputFile)

  Specified by:
    `getOutputFileSwitch` in class `CommandLineLinker`

### isCaseSensitive

    public boolean isCaseSensitive()

  Description copied from interface: `Linker`
  Returns true if the linker is case-sensitive

### link

    public void link(CCTask task,
                     java.io.File outputFile,
                     java.lang.String[] sourceFiles,
                     CommandLineLinkerConfiguration config)
              throws org.apache.tools.ant.BuildException

  Description copied from class: `CommandLineLinker`
  Performs a link using a command line linker

  Overrides:
    `link` in class `CommandLineLinker`
  Throws:
    `org.apache.tools.ant.BuildException`

### runCommand

    protected int runCommand(CCTask task,
                             java.io.File workingDir,
                             java.lang.String[] cmdline)
                      throws org.apache.tools.ant.BuildException

  Description copied from class: `CommandLineLinker`
  This method is exposed so test classes can overload and test the arguments without actually spawning the compiler

  Overrides:
    `runCommand` in class `CommandLineLinker`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.